'use strict';

const coLoggerLib = require('../../../logger.js');

const coAbstractLib = require('./abstract.js');
const Result = require('../../result.js').Result;
const coValidateLib = require('../../validate.js');

const coType = {};
coType[coAbstractLib.csExtention] = '.txt';
coType[coAbstractLib.cfPrepare] = function (iasFile, ioOption) {
  coValidateLib(iasFile.length, 'number');
  coValidateLib(ioOption, 'object');

  let loResult = new Result();
  let lsExt = coType[coAbstractLib.csExtention];
  iasFile.forEach(function(isFile) {
    let lsFile = isFile;

    coLoggerLib.trace(' * ' + lsExt + ' - ' + lsFile + ' ... ');

    let loItem = {};
    loItem[Result.csKey_AOI_nStatus] = Result.cnSuccess;
    loItem[Result.csKey_AOI_sFile] = lsFile;
    loItem[Result.csKey_AOI_sDescription] = '';
    loResult.addItem(lsExt, loItem);

    coLoggerLib.log(' * ' + lsExt + ' - ' + lsFile + ' ... ok');

  });
  return loResult;
};
coType[coAbstractLib.cfCreateTasks] = undefined;

module.exports = coType;
